package net.sf.itcb.common.business.exceptions;

import javax.xml.namespace.QName;

/**
 * Generic exception managing localized message
 * This exception has to be extended in business module
 * 
 * @author Pierre Le Roux
 *
 */
public class BusinessItcbException extends CommonItcbException
{
	private static final long serialVersionUID = 1L;

	public static final QName EXCEPTION_CLASS = new QName("exception-class");
	public static final QName COMMON_MESSAGE = new QName("common-message");
	public static final String NAMESPACE_URI = "http://itcb.sf.net/business/exceptions";
	
	public BusinessItcbException(ExceptionMappingErrors exceptionMappingErrors,
			String localizedMessage) {
		super(exceptionMappingErrors, localizedMessage);
	}	
    
}
